import {AdRecord} from "../../records/ad.record";

const defaultObj = {
    name: 'Test Name',
    description: 'Testowy opis',
    price: 10.5,
    url: 'https://megak.pl',
    lat: 10,
    lon: 10,
}

test('Can build AdRecord', () => {
    const {name, description} = new AdRecord(defaultObj);

    expect(name).toBe('Test Name');
    expect(description).toBe('Testowy opis');
});

test('Validates invalid price', () => {
    expect(() => new AdRecord({
        ...defaultObj,
        price: -3,
    })).toThrow('Cena nie może być mniejsza niż 0 lub większa niż 9 999 999');
});
