import {NextFunction, Request, Response} from "express";

export class ValidateError extends Error{}

export const handleError = (err: Error, req: Request, res: Response, next: NextFunction) => {
    console.error(err);

    res
        .status(err instanceof ValidateError ? 400 : 500)
        .json({
            message: err instanceof ValidateError ? err.message : 'Sorry, please try again later.',
        })
}
